
/******************************************************************
	
	
	@ Item          GRIDDIE - Personal WordPress Theme
	@ Version       1.0
	@ Author		Avanzare
	@ Website		http://themeforest.net/user/avanzare 
	

 ******************************************************************



/** 1. Portfolio Grid
*******************************************************************/

.portfolio-grid
{
	position: relative;
	display: grid;
	width: 100%;
    align-items: start;
	left: 0;
	grid-template-columns: repeat(2, 1fr);
	border-top-color: var(--main-border-color);
    border-top-width: var(--main-border-size);
    border-top-style: var(--main-border-style);
}

.portfolio-grid .item 
{
	padding: 4rem;
	border-right-color: var(--main-border-color);
    border-right-width: var(--main-border-size);
    border-right-style: var(--main-border-style);
	border-bottom-color: var(--main-border-color);
    border-bottom-width: var(--main-border-size);
    border-bottom-style: var(--main-border-style);
	transition: .5s;
    transition-timing-function: var(--transition-style-1);
	background: linear-gradient(rgba(255, 255, 255, 0) 0%, rgba(171, 171, 171, 0) 100%);
}

.portfolio-grid .item:hover
{
	background: linear-gradient(rgba(255, 255, 255, 0.05) 0%, rgba(171, 171, 171, 0) 100%);
}

.portfolio-grid .item .preview
{
	margin-bottom: 2rem;
	position: relative;
	overflow: hidden;
	aspect-ratio: 1.3333333333333333 / 1;
}

.portfolio-grid .item .preview img
{
	display: block;
    width: 100%;
    height: 100%;
    border-radius: inherit;
    object-position: center;
    object-fit: cover;
    image-rendering: auto;
	transition: .5s;
    transition-timing-function: var(--transition-style-1);
}

.portfolio-grid .item:hover .preview img
{
	transform: scale(1.05);
}

.portfolio-grid .item .preview.no-thumbnail
{
    fill: var(--main-border-color);
    display: flex;
    align-items: center;
    justify-content: center;
}

.portfolio-grid .img-corners
{
    --border: 2px solid #fff;
	--size: 1.2rem;
	--spacing: 1.6rem;
    position: absolute;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
}


.portfolio-grid .item .img-corner
{
    position: absolute;
    width: var(--size);
    height: var(--size);
    transition: .5s;
	opacity: 0;
    transition-timing-function: var(--transition-style-1);
}

.portfolio-grid .item:hover .img-corner
{
	opacity: 1;
}

.portfolio-grid .item .img-corner.top-left
{
    top: 0;
    left: 0;
    border-top: var(--border);
    border-left: var(--border);
}

.portfolio-grid .item:hover .img-corner.top-left
{
    top: var(--spacing);
    left: var(--spacing);
}

.portfolio-grid .item .img-corner.top-right
{
    top: 0;
    right: 0;
    border-top: var(--border);
    border-right: var(--border);
}

.portfolio-grid .item:hover .img-corner.top-right
{
    top: var(--spacing);
    right: var(--spacing);
}

.portfolio-grid .item .img-corner.bottom-left
{
    bottom: 0;
    left: 0;
    border-bottom: var(--border);
    border-left: var(--border);
}

.portfolio-grid .item:hover .img-corner.bottom-left
{
    bottom: var(--spacing);
    left: var(--spacing);
}

.portfolio-grid .item .img-corner.bottom-right
{
    bottom: 0;
    right: 0;
    border-bottom: var(--border);
    border-right: var(--border);
}

.portfolio-grid .item:hover .img-corner.bottom-right
{
    bottom: var(--spacing);
    right: var(--spacing);
}

.portfolio-grid .item .info
{
    display: flex;
    justify-content: space-between;
    flex-direction: row;
    align-items: start;
}

.portfolio-grid .item .title
{
	color: #fff;
	font-weight: 600;
	margin-bottom: .4rem;
	line-height: 1.6em;
    word-break: break-all;
}

.portfolio-grid .item .subline
{
	font-size: 1.4rem;
	line-height: 1.6em;
}

.portfolio-grid .item .tag
{
	font-size: 1.2rem;
	padding: 0.6rem 1.2rem;
	line-height: 1.6em;
	border-color: var(--main-border-color);
    border-width: var(--main-border-size);
    border-style: var(--main-border-style);
}

.portfolio-grid .item.sticky
{
    grid-column: 1 / -1;
}

.portfolio-grid .item.sticky .preview
{
    aspect-ratio: 2.1 / 1;
}

@media (max-width: 768px) {

    .portfolio-grid .item .subline
    {
        font-size: 1.2rem;
    }

    .portfolio-grid .item .tag
    {
        padding: 0.6rem 1.0rem;
    }

    .portfolio-grid.related-posts,
    .portfolio-grid.blog-main-posts
    {
        grid-template-columns: 1fr;

    }



}


/** 2. Store Grid
*******************************************************************/

.store-grid
{
	position: relative;
	display: grid;
	width: 100%;
	left: 0;
	grid-template-columns: 1fr;
	border-top-color: var(--main-border-color);
    border-top-width: var(--main-border-size);
    border-top-style: var(--main-border-style);
}

.store-grid .item-container
{
	position: relative;
	display: grid;
	width: 100%;
    grid-template-columns: repeat(2, 1fr);
}

.store-grid .item 
{
	padding: 4rem;
	border-right-color: var(--main-border-color);
    border-right-width: var(--main-border-size);
    border-right-style: var(--main-border-style);
	border-bottom-color: var(--main-border-color);
    border-bottom-width: var(--main-border-size);
    border-bottom-style: var(--main-border-style);
	transition: .5s;
    transition-timing-function: var(--transition-style-1);
	background: linear-gradient(rgba(255, 255, 255, 0) 0%, rgba(171, 171, 171, 0) 100%);
}

.store-grid .item:hover
{
	background: linear-gradient(rgba(255, 255, 255, 0.05) 0%, rgba(171, 171, 171, 0) 100%);
}

.store-grid .item:nth-child(even)
{
	border-right: 0;
}

.store-grid .item .preview
{
	margin-bottom: 2rem;
	position: relative;
	overflow: hidden;
	aspect-ratio: 1.3333333333333333 / 1;
}

.store-grid .item .preview img
{
	display: block;
    width: 100%;
    height: 100%;
    border-radius: inherit;
    object-position: center;
    object-fit: cover;
    image-rendering: auto;
	transition: .5s;
    transition-timing-function: var(--transition-style-1);
}

.store-grid .item:hover .preview img
{
	transform: scale(1.05);
}

.store-grid .img-corners
{
    --border: 2px solid #fff;
	--size: 1.2rem;
	--spacing: 1.6rem;
    position: absolute;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
}

.store-grid .item .img-corner
{
    position: absolute;
    width: var(--size);
    height: var(--size);
    transition: .5s;
	opacity: 0;
    transition-timing-function: var(--transition-style-1);
}

.store-grid .item:hover .img-corner
{
	opacity: 1;
}

.store-grid .item .img-corner.top-left
{
    top: 0;
    left: 0;
    border-top: var(--border);
    border-left: var(--border);
}

.store-grid .item:hover .img-corner.top-left
{
    top: var(--spacing);
    left: var(--spacing);
}

.store-grid .item .img-corner.top-right
{
    top: 0;
    right: 0;
    border-top: var(--border);
    border-right: var(--border);
}

.store-grid .item:hover .img-corner.top-right
{
    top: var(--spacing);
    right: var(--spacing);
}

.store-grid .item .img-corner.bottom-left
{
    bottom: 0;
    left: 0;
    border-bottom: var(--border);
    border-left: var(--border);
}

.store-grid .item:hover .img-corner.bottom-left
{
    bottom: var(--spacing);
    left: var(--spacing);
}

.store-grid .item .img-corner.bottom-right
{
    bottom: 0;
    right: 0;
    border-bottom: var(--border);
    border-right: var(--border);
}

.store-grid .item:hover .img-corner.bottom-right
{
    bottom: var(--spacing);
    right: var(--spacing);
}

.store-grid .item .info
{
    display: flex;
    justify-content: space-between;
    flex-direction: row;
    align-items: start;
}

.store-grid .item .title
{
	color: #fff;
	font-weight: 600;
	margin-bottom: .4rem;
	line-height: 1.6em;
}

.store-grid .item .sublineb
{
	font-size: 1.4rem;
	line-height: 1.6em;
}

.store-grid .item .price-tag
{
    color: #fff;
    font-weight: 600;
	padding: 0.6rem 1.2rem;
	line-height: 1.6em;
}

/* Filters */
.store-grid .filters
{
    grid-column: 1 / -1;
    display: grid;
    grid-template-columns: repeat(4, 1fr);
}

.store-grid .filters .filter-btn
{
    cursor: pointer;
    height: inherit;
    height: 6.4rem;
    border-left-color: var(--main-border-color);
    border-left-width: var(--main-border-size);
    border-left-style: var(--main-border-style);
    border-bottom-color: var(--main-border-color);
    border-bottom-width: var(--main-border-size);
    border-bottom-style: var(--main-border-style);
    display: flex;
    align-items: center;
    justify-content: center;
    transition: .5s;
    transition-timing-function: var(--transition-style-1);
}

.store-grid .filters .filter-btn:hover,
.store-grid .filters .filter-btn.filter-active
{
    background: rgba(255, 255, 255, 0.05);
}

.store-grid .filters .filter-btn:first-child
{
    border-left: 0;
}


.store-grid .filters .filter-btn .btn-text
{
    position: relative;
    display: flex;
    overflow: hidden;
    justify-content: center;
    align-items: center;
    font-weight: 600;
    font-family: var(--secondary-font-family);
    font-size: 1.6rem;
    text-transform: uppercase;
    overflow: hidden;
    color: #fff;
}

.store-grid .filters .filter-btn span
{
    transition: .5s;
    opacity: 0.3;
    transition-timing-function: var(--transition-style-1);
}

.store-grid .filters .filter-btn:hover .btn-text span,
.store-grid .filters .filter-btn.filter-active .btn-text span
{
    opacity: 1;
}


.store-grid .filters .filter-btn .btn-text span:first-child
{
    display: block;
    transform: translateY(0%);
}

.store-grid .filters .filter-btn:hover .btn-text span:first-child,
.store-grid .filters .filter-btn.filter-active .btn-text span:first-child
{
    transform: translateY(-100%);
}

.store-grid .filters .filter-btn .btn-text span:last-child
{
    position: absolute;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    transform: translateY(100%);
}

.store-grid .filters .filter-btn:hover .btn-text span:last-child,
.store-grid .filters .filter-btn.filter-active .btn-text span:last-child
{
    transform: translateY(0%);
}

@media (max-width: 782px) 
{

    .store-grid .filters
    {
        grid-template-columns: repeat(2, 1fr) !important;
    }

    .store-grid .item .subline
    {
        font-size: 1.2rem;
    }

    .store-grid .item .tag
    {
        padding: 0.6rem 1.0rem;
    }

}


/** 5. Blog Grid
*******************************************************************/

.blog-grid
{
	position: relative;
	display: grid;
	width: 100%;
	left: 0;
	grid-template-columns: 1fr;
}

.blog-grid .item-container
{
	position: relative;
	display: grid;
	width: 100%;
    display: none;
    border-top-color: var(--main-border-color);
    border-top-width: var(--main-border-size);
    border-top-style: var(--main-border-style);
    border-bottom-color: var(--main-border-color);
    border-bottom-width: var(--main-border-size);
    border-bottom-style: var(--main-border-style);
}

.blog-grid .item-container.active
{
    display: grid;
}

.blog-grid .item-container.grid
{
    grid-template-columns: repeat(2, 1fr);
}

.blog-grid .item 
{
	padding: 4rem;
	border-right-color: var(--main-border-color);
    border-right-width: var(--main-border-size);
    border-right-style: var(--main-border-style);
    border-bottom-color: var(--main-border-color);
    border-bottom-width: var(--main-border-size);
    border-bottom-style: var(--main-border-style);
    margin-bottom: calc(var(--main-border-size) * -1);
	transition: .5s;
    transition-timing-function: var(--transition-style-1);
	background: linear-gradient(rgba(255, 255, 255, 0) 0%, rgba(171, 171, 171, 0) 100%);
}

.blog-grid .item:hover
{
	background: linear-gradient(rgba(255, 255, 255, 0.05) 0%, rgba(171, 171, 171, 0) 100%);
}

.blog-grid .item .preview
{
	margin-bottom: 2rem;
	position: relative;
	overflow: hidden;
	aspect-ratio: 1.3333333333333333 / 1;
}

.blog-grid .item .preview img
{
	display: block;
    width: 100%;
    height: 100%;
    border-radius: inherit;
    object-position: center;
    object-fit: cover;
    image-rendering: auto;
	transition: .5s;
    transition-timing-function: var(--transition-style-1);
}

.blog-grid .item:hover .preview img
{
	transform: scale(1.05);
}

.blog-grid .img-corners
{
    --border: 2px solid #fff;
	--size: 1.2rem;
	--spacing: 1.6rem;
    position: absolute;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
}

.blog-grid .item .img-corner
{
    position: absolute;
    width: var(--size);
    height: var(--size);
    transition: .5s;
	opacity: 0;
    transition-timing-function: var(--transition-style-1);
}

.blog-grid .item:hover .img-corner
{
	opacity: 1;
}

.blog-grid .item .img-corner.top-left
{
    top: 0;
    left: 0;
    border-top: var(--border);
    border-left: var(--border);
}

.blog-grid .item:hover .img-corner.top-left
{
    top: var(--spacing);
    left: var(--spacing);
}

.blog-grid .item .img-corner.top-right
{
    top: 0;
    right: 0;
    border-top: var(--border);
    border-right: var(--border);
}

.blog-grid .item:hover .img-corner.top-right
{
    top: var(--spacing);
    right: var(--spacing);
}

.blog-grid .item .img-corner.bottom-left
{
    bottom: 0;
    left: 0;
    border-bottom: var(--border);
    border-left: var(--border);
}

.blog-grid .item:hover .img-corner.bottom-left
{
    bottom: var(--spacing);
    left: var(--spacing);
}

.blog-grid .item .img-corner.bottom-right
{
    bottom: 0;
    right: 0;
    border-bottom: var(--border);
    border-right: var(--border);
}

.blog-grid .item:hover .img-corner.bottom-right
{
    bottom: var(--spacing);
    right: var(--spacing);
}

.blog-grid .item .info
{
    display: flex;
    justify-content: space-between;
    flex-direction: row;
    align-items: start;
    gap: 5rem;
}

.blog-grid .item .title
{
	color: #fff;
	font-weight: 600;
	margin-bottom: .4rem;
	line-height: 1.6em;
}

.blog-grid .item .subline
{
    display: flex;
    flex-wrap: wrap;
    gap: 1.2rem;
    align-items: center;
}

.blog-grid .item .subline p
{
	font-size: 1.4rem;
	line-height: 1.6em;
}

.blog-grid .item .subline .dot
{
    height: 4px;
    width: 4px;
    background: var(--text-base-color);
}

.blog-grid .item .tag
{
	font-size: 1.2rem;
	padding: 0.6rem 1.2rem;
	line-height: 1.6em;
	border-color: var(--main-border-color);
    border-width: var(--main-border-size);
    border-style: var(--main-border-style);
}

.blog-grid .item-container.list
{
    grid-template-columns: repeat(1, 1fr);
}

.blog-grid .item-container.list .item
{
	padding-left: 4rem;
    padding-right: 4rem;
	border-bottom-color: var(--main-border-color);
    border-bottom-width: var(--main-border-size);
    border-bottom-style: var(--main-border-style);
	transition: .5s;
    height: 10.8rem;
    transition-timing-function: var(--transition-style-1);
	background: rgba(255, 255, 255, 0);
    display: grid;
    grid-template-columns: 1fr auto;
    gap: 5rem;

}

.blog-grid .item-container.list .item:hover
{
	background: rgba(255, 255, 255, 0.05);
}

.blog-grid .item-container.list .item .headline .text
{
    position: relative;
    display: flex;
    overflow: hidden;
    justify-content: start;
    align-items: center;
    font-weight: 600;
    font-size: 1.8rem;
    overflow: hidden;
    color: #fff;
}

.blog-grid .item-container.list .item .headline .text span
{
    transition: .5s;
    transition-timing-function: var(--transition-style-1);
}

.blog-grid .item-container.list .item .headline .text span:first-child
{
    display: block;
    transform: translateY(0%);
}

.blog-grid .item-container.list .item:hover .headline .text span:first-child
{
    transform: translateY(-100%);
}

.blog-grid .item-container.list .item .headline .text span:last-child
{
    position: absolute;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    transform: translateY(100%);
}

.blog-grid .item-container.list .item:hover .headline .text span:last-child
{
    transform: translateY(0%);
}

.blog-grid .item-container.list .item .meta
{
    display: flex;
    align-items: center;
    gap: 1.6rem;
}

.blog-grid .item-container.list .item .meta p
{
    font-size: 1.4rem;
	line-height: 1.6em;
}

.blog-grid .item-container.list .item .meta .line
{
    font-size: 1.4rem;
	line-height: 1.6em;
    width: 0.1rem;
    height: 1.4rem;
    opacity: 0.3;
    background: var( --text-base-color);
}

/*** Blog Controls Bar ***/

.blog-grid .grid-controls
{
    grid-column: 1 / -1;
    border-top-color: var(--main-border-color);
    border-top-width: var(--main-border-size);
    border-top-style: var(--main-border-style);
    display: grid;
    grid-template-columns: 3fr auto;
}

.blog-grid .grid-controls .type-selector
{
    display: flex;
}

.blog-grid .grid-controls .type-selector .selector-btn
{
    cursor: pointer;
    border-left-color: var(--main-border-color);
    border-left-width: var(--main-border-size);
    border-left-style: var(--main-border-style);
    position: relative;
    flex-grow: 1;
    height: 8rem;
    width: 8rem;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 1.9rem;
    color: var(--text-base-color);
    transition: .5s;
    transition-timing-function: var(--transition-style-1);
}

.blog-grid .grid-controls .type-selector .selector-btn:hover,
.blog-grid .grid-controls .type-selector .selector-btn.active
{
    color: #fff;
    background: rgba(255, 255, 255, 0.05);
}


.blog-grid .grid-controls .search-area
{
    display: flex;
    align-items: center;
    padding-left: 4rem;
    height: 8rem;
    gap: 1.6rem;
}

.blog-grid .grid-controls .search-area span
{
    font-size: 2rem;
    color: rgba(255, 255, 255, 0.3);
    font-weight: bold;
}

.blog-grid .grid-controls .search-form
{
    width: 100%;
}

.blog-grid .grid-controls .search-output
{
    position: absolute;
    width: 100%;
    top: 8rem;
    height: auto;
    background: #141416;
    padding: 0rem 0rem;
    z-index: 100;
    display: grid;
    grid-template-columns: 1fr;
    border-bottom-color: var(--main-border-color);
    border-bottom-width: var(--main-border-size);
    border-bottom-style: var(--main-border-style);
}

.blog-grid .grid-controls .search-output .search-item
{
    font-size: 1.6rem;
    font-weight: 400;
    padding: 2.8rem 4rem;
    border-bottom-color: var(--main-border-color);
    border-bottom-width: var(--main-border-size);
    border-bottom-style: var(--main-border-style);
    transition: .5s;
    transition-timing-function: var(--transition-style-1);
}

.blog-grid .grid-controls .search-output .search-item:hover
{
    color: #fff;
    background: rgba(255, 255, 255, 0.05);
}

/*** Blog Pagination ***/

.blog-grid .pagination
{
    display: flex;
    flex-direction: row;
    justify-content: flex-end;
    height: 8rem;
    border-bottom-color: var(--main-border-color);
    border-bottom-width: var(--main-border-size);
    border-bottom-style: var(--main-border-style);
}

.blog-grid .pagination .page-numbers
{
    display: flex;
    align-items: center;
    justify-content: center;
    height: 8rem;
    width: 10rem;
    border-right-color: var(--main-border-color);
    border-right-width: var(--main-border-size);
    border-right-style: var(--main-border-style);
    font-size: 1.6rem;
    font-weight: 400;
    transition: .5s;
    transition-timing-function: var(--transition-style-1);
}

.blog-grid .pagination .page-numbers:first-child
{
    border-left-color: var(--main-border-color);
    border-left-width: var(--main-border-size);
    border-left-style: var(--main-border-style);
}

.blog-grid .pagination .page-numbers.current,
.blog-grid .pagination .page-numbers:hover
{
    background: rgba(255, 255, 255, 0.05);
    color: #fff;
}



@media (max-width: 768px) 
{

    .blog-grid .item .info 
    {
        gap: 1.6rem;
    }

    .blog-grid .item .subline
    {
        flex-wrap: nowrap;
        gap: 1.2rem;
        font-size: 1.2rem;
    }

    .blog-grid .item .title
    {
        margin-bottom: .6rem !important;
    }

    .blog-grid .item-container.list .item
    {
        padding-left: 2.4rem;
        padding-right: 2.4rem;
        height: auto;
        grid-template-columns: 1fr;
        gap: 1rem;

    }

    .blog-grid .item-container.list .item .meta p
    {
        font-size: 1.2rem;
    }

    .blog-grid .grid-controls
    {
        grid-template-columns: 1fr;
    }


}


/** 2. Service Grid
*******************************************************************/

.service-grid
{
	position: relative;
	display: grid;
	width: 100%;
	left: 0;
	grid-template-columns: 1fr;
	border-top-color: var(--main-border-color);
    border-top-width: var(--main-border-size);
    border-top-style: var(--main-border-style);
}

.service-grid .item-container
{
	position: relative;
	display: grid;
	width: 100%;
    grid-template-columns: repeat(2, 1fr);
}

.service-grid .item 
{
    position: relative;
	padding: 4.8rem;
	border-right-color: var(--main-border-color);
    border-right-width: var(--main-border-size);
    border-right-style: var(--main-border-style);
	border-bottom-color: var(--main-border-color);
    border-bottom-width: var(--main-border-size);
    border-bottom-style: var(--main-border-style);
    display: grid;
    grid-template-columns: auto 1fr;
    gap: 4.8rem;
	
}

.service-grid .item:after
{
    content: "";
    height: 1.2rem;
    width: 1.2rem;
    opacity: 0.3;
    position: absolute;
    right: 2.4rem;
    top: 2.4rem;
	border-right: #fff max(0.2rem, 2px) solid;
    border-top: #fff max(0.2rem, 2px) solid;
}

.service-grid .item .number-tag
{
	border-color: var(--main-border-color);
    border-width: var(--main-border-size);
    border-style: var(--main-border-style);
    height: 4.8rem;
    display: flex;
    align-items: center;
    justify-content: center;
    width: 4.8rem;
    font-family: var(--secondary-font-family);
}

.service-grid .item .number-tag p
{
    font-family: inherit;
}

.service-grid .item .content .price
{
    font-size: 1.8rem;
    color: #fff;
    margin-top: 1.2rem;
    margin-bottom: 4rem;
    line-height: 1.6em;
}

.service-grid .item .content ul
{
    display: flex;
    gap: 0.7rem;
    flex-direction: column;
    list-style: none;
    padding: 0;
    margin: 0;
}

.service-grid .item .content ul li
{
    display: flex;
    gap: 0.6rem;
    align-items: center;
}

.service-grid .item .content ul li .dot
{
    height: 0.4rem;
    width: 0.4rem;
    background: var(--text-base-color);
}

.service-grid .item .content ul li p
{
    line-height: 1.6em;
}

@media (max-width: 768px) 
{

    .service-grid .item 
    {
        grid-template-columns: 1fr;
        gap: 2.4rem;
    }
    
    .service-grid .item .content .price
    {
        font-size: 1.6rem;
    }

}


/** 2. Client Grid
*******************************************************************/

.client-grid
{
	position: relative;
	display: grid;
	width: 100%;
	left: 0;
	grid-template-columns: 1fr;
	border-top-color: var(--main-border-color);
    border-top-width: var(--main-border-size);
    border-top-style: var(--main-border-style);
}

.client-grid .item-container
{
	position: relative;
	display: grid;
	width: 100%;
    grid-template-columns: repeat(3, 1fr);
}

.client-grid .item 
{
    position: relative;
	padding: 4.8rem;
	border-right-color: var(--main-border-color);
    border-right-width: var(--main-border-size);
    border-right-style: var(--main-border-style);
	border-bottom-color: var(--main-border-color);
    border-bottom-width: var(--main-border-size);
    border-bottom-style: var(--main-border-style);
    transition: .5s;
    transition-timing-function: var(--transition-style-1);
	
}

.client-grid .item:hover
{
    background: rgba(255, 255, 255, 0.05);
}

.client-grid .item .img-box
{
    padding: 8rem;
    opacity: 0.35;
    display: flex;
    align-items: center;
    justify-content: center;
    transition: .5s;
    transition-timing-function: var(--transition-style-1);
}

.client-grid .item:hover .img-box
{
    opacity: 1;
}

.client-grid .item .img-box img
{
    max-width: 15.2rem;
}

.client-grid .item .corners
{
    --border: 2px solid #fff;
	--size: 1.2rem;
	--spacing: 1.6rem;
    position: absolute;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
}

.client-grid .item .corner
{
    position: absolute;
    width: var(--size);
    height: var(--size);
    z-index: -1;
    transition: .5s;
	opacity: 0;
    transition-timing-function: var(--transition-style-1);
}

.client-grid .item:hover .corner
{
	opacity: 1;
}

.client-grid .item .corner.top-left
{
    top: 0;
    left: 0;
    border-top: var(--border);
    border-left: var(--border);
}

.client-grid .item:hover .corner.top-left
{
    top: var(--spacing);
    left: var(--spacing);
}

.client-grid .item .corner.top-right
{
    top: 0;
    right: 0;
    border-top: var(--border);
    border-right: var(--border);
}

.client-grid .item:hover .corner.top-right
{
    top: var(--spacing);
    right: var(--spacing);
}

.client-grid .item .corner.bottom-left
{
    bottom: 0;
    left: 0;
    border-bottom: var(--border);
    border-left: var(--border);
}

.client-grid .item:hover .corner.bottom-left
{
    bottom: var(--spacing);
    left: var(--spacing);
}

.client-grid .item .corner.bottom-right
{
    bottom: 0;
    right: 0;
    border-bottom: var(--border);
    border-right: var(--border);
}

.client-grid .item:hover .corner.bottom-right
{
    bottom: var(--spacing);
    right: var(--spacing);
}

@media (max-width: 768px) 
{

    .client-grid
    {
        grid-template-columns: 1fr;
    }

}



/** 2. Grid Images
*******************************************************************/


.grid-image
{
    padding: 4rem;
    aspect-ratio: 1.7808219178082192 / 1;
    overflow: hidden;
    position: relative;
    width: 100%;
}

.grid-image img
{
    display: block;
    width: 100%;
    height: 100%;
    border-radius: inherit;
    object-position: center;
    object-fit: cover;
    image-rendering: auto;
}


/** 2. About Description
*******************************************************************/

.about-description
{
    display: flex;
    justify-content: space-between;
    padding-left: 8rem;
    padding-right: 8rem;
    
}

.about-description .image-box
{
    width: 15.2rem;
    height: 15.2rem;   
}

.about-description .image-box
{
    width: 15.2rem;
    height: 15.2rem;   
}

.about-description .image-box img
{
    display: block;
    width: 100%;
    height: 100%;
    border-radius: inherit;
    object-position: center;
    object-fit: cover;
    image-rendering: auto; 
}

/** 2. Experience Grid
*******************************************************************/

.experience-grid
{
	position: relative;
	display: grid;
	width: 100%;
	left: 0;
	grid-template-columns: 1fr;
	border-top-color: var(--main-border-color);
    border-top-width: var(--main-border-size);
    border-top-style: var(--main-border-style);
}

.experience-grid .item-container
{
	position: relative;
	display: grid;
	width: 100%;
    grid-template-columns: repeat(1, 1fr);
}

.experience-grid .item 
{
    position: relative;
	padding: 4rem 8rem;
    align-items: end;
	border-bottom-color: var(--main-border-color);
    border-bottom-width: var(--main-border-size);
    border-bottom-style: var(--main-border-style);
    display: grid;
    grid-template-columns: 66fr 34fr;
}

.experience-grid .item .information
{
    position: relative;
    display: grid;
    grid-template-columns: 5fr 5fr;
}

.experience-grid .item .date 
{
    display: flex;
    flex-direction: column;
    align-items: end;
}

.experience-grid .item .tag
{
    font-family: var(--secondary-font-family);
    text-transform: uppercase;
    font-size: 1.4rem;
    line-height: 1.6em;
    font-weight: 600;
    color: #fff;
    opacity: 0.3;
}

.experience-grid .item .text
{
    color: #fff;
    line-height: 1.6em;
    margin-top: 0.2rem;
}

@media (max-width: 768px)
{

    .experience-grid .item .information
    {
        grid-template-columns: 1fr;
        gap: 2.4rem;
    }


}

/** 2. Experience Grid
*******************************************************************/

.image-grid
{
	position: relative;
	display: grid;
	width: 100%;
	left: 0;
	grid-template-columns: 1fr;
	border-top-color: var(--main-border-color);
    border-top-width: var(--main-border-size);
    border-top-style: var(--main-border-style);
}

.image-grid .item-container
{
	position: relative;
	display: grid;
	width: 100%;
    grid-template-columns: repeat(3, 1fr);
}

.image-grid .item 
{
    position: relative;
	padding: 4rem;
	border-bottom-color: var(--main-border-color);
    border-bottom-width: var(--main-border-size);
    border-bottom-style: var(--main-border-style);
    border-right-color: var(--main-border-color);
    border-right-width: var(--main-border-size);
    border-right-style: var(--main-border-style);
}

.image-grid .item img
{
    display: block;
    width: 100%;
    height: 100%;
    border-radius: inherit;
    object-position: center;
    object-fit: cover;
    image-rendering: auto;
}


/** 2. Award Grid
*******************************************************************/

.award-grid
{
	position: relative;
	display: grid;
	width: 100%;
	left: 0;
	grid-template-columns: 1fr;
	border-top-color: var(--main-border-color);
    border-top-width: var(--main-border-size);
    border-top-style: var(--main-border-style);
}

.award-grid .item-container
{
	position: relative;
	display: grid;
	width: 100%;
    grid-template-columns: repeat(1, 1fr);
}

.award-grid .item 
{
    position: relative;
	padding: 4rem 8rem;
	border-bottom-color: var(--main-border-color);
    border-bottom-width: var(--main-border-size);
    border-bottom-style: var(--main-border-style);
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.award-grid .item .information
{
    display: flex;
    gap: 1.2rem;
    justify-content: flex-start;
    flex-direction: row;
    align-items: center;
}

.award-grid .item .information .line
{
    height: max(0.1rem, 1px);
    width: 2rem;
    opacity: 0.3;
    background: rgb(255, 255, 255);
}

.award-grid .item .information .organization
{
    opacity: 0.3;
}

.award-grid .item .stats
{
    display: flex;
    gap: 12rem;
    justify-content: flex-start;
    flex-direction: row;
    align-items: center;
}

.award-grid .item p
{
    color: #fff;
    line-height: 1.6em;
}

@media (max-width: 768px)
{

    .award-grid .item .line,
    .award-grid .item .date
    {
        display: none;
    }

    .award-grid .item .information 
    {
        gap: 0rem;
        justify-content: flex-start;
        flex-direction: column;
        align-items: start;
    }

    .award-grid .item .information 
    {
        gap: 0rem;
        justify-content: flex-start;
        flex-direction: column;
        align-items: start;
    }

    .award-grid .item
    {
        align-items: flex-end;
    }

}


/** 2. Image Grid
*******************************************************************/

.grid-images
{
    display: grid;
    margin-top: calc(var(--main-border-size) * -1);
    grid-template-columns: repeat(2, 1fr);
    border-top-color: var(--main-border-color);
    border-top-width: var(--main-border-size);
    border-top-style: var(--main-border-style);

}

.grid-images .grid-images-item
{
    padding: 4rem;
    border-right-color: var(--main-border-color);
    border-right-width: var(--main-border-size);
    border-right-style: var(--main-border-style);
	border-bottom-color: var(--main-border-color);
    border-bottom-width: var(--main-border-size);
    border-bottom-style: var(--main-border-style);
}

.grid-images.columns-1 { grid-template-columns: repeat(1, 1fr); }
.grid-images.columns-2 { grid-template-columns: repeat(2, 1fr); }
.grid-images.columns-3 { grid-template-columns: repeat(3, 1fr); }
.grid-images.columns-4 { grid-template-columns: repeat(4, 1fr); }



/** 2. Client Grid
*******************************************************************/

.grid-clients
{
    display: grid;
    margin-top: calc(var(--main-border-size) * -1);
    grid-template-columns: repeat(2, 1fr);
    border-top-color: var(--main-border-color);
    border-top-width: var(--main-border-size);
    border-top-style: var(--main-border-style);

}

.grid-clients .grid-clients-item
{
    padding: 4rem;
    border-right-color: var(--main-border-color);
    border-right-width: var(--main-border-size);
    border-right-style: var(--main-border-style);
	border-bottom-color: var(--main-border-color);
    border-bottom-width: var(--main-border-size);
    border-bottom-style: var(--main-border-style);
    display: flex;
    align-items: center;
    justify-content: center;
}

.grid-clients.columns-1 { grid-template-columns: repeat(1, 1fr); }
.grid-clients.columns-2 { grid-template-columns: repeat(2, 1fr); }
.grid-clients.columns-3 { grid-template-columns: repeat(3, 1fr); }
.grid-clients.columns-4 { grid-template-columns: repeat(4, 1fr); }


/** Numbers Grid
*******************************************************************/

.numbers-grid
{
    position: relative;
	display: grid;
	width: 100%;
	left: 0;
	grid-template-columns: repeat(4, 1fr);
	border-top-color: var(--main-border-color);
    border-top-width: var(--main-border-size);
    border-top-style: var(--main-border-style);
    margin-top: calc(var(--main-border-size) * -1);

}

.numbers-grid .item 
{
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    gap: 0.8rem;
	border-right-color: var(--main-border-color);
    border-right-width: var(--main-border-size);
    border-right-style: var(--main-border-style);
	border-bottom-color: var(--main-border-color);
    border-bottom-width: var(--main-border-size);
    border-bottom-style: var(--main-border-style);
}

.numbers-grid .item .subline
{
    text-transform: uppercase;
    font-weight: 600;
    font-family: var(--secondary-font-family);
}

@media (max-width: 768px)
{
    .numbers-grid .item .subline 
    { font-size: 1.4rem; }

}

/** Portfolio Description Widget
*******************************************************************/

.portfolio-description-widget
{
    margin-top: calc(var(--main-border-size) * -1);
    display: grid;
    grid-template-columns: 2.3fr 1fr;
    border-top-color: var(--main-border-color);
    border-top-width: var(--main-border-size);
    border-top-style: var(--main-border-style);
    border-bottom-color: var(--main-border-color);
    border-bottom-width: var(--main-border-size);
    border-bottom-style: var(--main-border-style);
}

.portfolio-description-widget .text-block 
{
    padding: 6.3rem 8rem;
    display: flex;
    flex-direction: column;
    gap: 1.6rem;
}

.portfolio-description-widget .text-block p
{
    max-width: 60rem;
    line-height: 1.6em;
}

.portfolio-description-widget .table-block
{
    border-left-color: var(--main-border-color);
    border-left-width: var(--main-border-size);
    border-left-style: var(--main-border-style);
}

.portfolio-description-widget .table-block .table-block-item
{
    border-top-color: var(--main-border-color);
    border-top-width: var(--main-border-size);
    border-top-style: var(--main-border-style);
    padding: 2.9rem 2.4rem;
}

.portfolio-description-widget .table-block .table-block-item:first-child
{
    border: none !important;
}

.portfolio-description-widget .table-block .table-block-item p
{
    line-height: 1.5em;
}


.portfolio-description-widget .table-block .table-block-item p span
{
    color: #fff;
    font-weight: 600;
    margin-left: 1rem;
}

@media (max-width: 768px)
{

    .portfolio-description-widget
    {
        grid-template-columns: 1fr;
    }

    .portfolio-description-widget .text-block 
    {
        border-bottom-color: var(--main-border-color);
        border-bottom-width: var(--main-border-size);
        border-bottom-style: var(--main-border-style);
    }


}